#!/bin/bash - 
#===============================================================================
#
#          FILE:  uninstall.sh
# 
#         USAGE:  ./uninstall.sh 
# 
#   DESCRIPTION:  uninstall douban provider
# 
#       OPTIONS:  ---
#  REQUIREMENTS:  ---
#          BUGS:  ---
#         NOTES:  ---
#        AUTHOR: Sun Ning <classicning@gmail.com>
#       COMPANY: 
#       CREATED: 10/05/2010 10:46:32 PM CST
#      REVISION:  ---
#===============================================================================

set -o nounset                              # Treat unset variables as an error

cd `dirname $0`/../
. ./bin/env.sh

echo "If you are going to permanently delete Gwibber-Douban, You should delete douban account first."
echo "Or if you unistall to reinstall new version, just ignore this step."
echo "Enter to continue"
read

echo "Removing files"
rm $GWIBBER_LINK_PATH/microblog/douban.py
rm $GWIBBER_PATH/microblog/douban.py
rm $GWIBBER_LINK_PATH/lib/gtk/douban.py
rm $GWIBBER_PATH/lib/gtk/douban.py
rm $GWIBBER_DATA_PATH/ui/gwibber-accounts-douban.ui
rm $GWIBBER_DATA_PATH/ui/icons/breakdance/16x16/douban.png
rm $GWIBBER_DATA_PATH/ui/icons/breakdance/22x22/douban.png

echo "Restoring files"
cp $GWIBBER_PATH/microblog/dispatcher.py.bak $GWIBBER_PATH/microblog/dispatcher.py
cp $GWIBBER_PATH/lib/gtk/__init__.py.bak $GWIBBER_PATH/lib/gtk/__init__.py


